/*
 * Copyright 2012 metArch
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.metarch.timer.util;

import org.metarch.timer.model.Timer;

/**
 * @author Niels Krijger <niels@kryger.nl>
 */
public interface TimerFormatter {
	
    /**
     * Formats a timer to some desired output.
     * 
     * @param timer
     * @return 
     */
    public String format(Timer timer);
}
